Jump to content


Photo

GApps for CM11 (last updated: 2014-12-07)


215 replies to this topic

#201
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

Delete package fixed. Everyone should update to this version who installed the previous version.

If you haven't updated the ROM since install, just flash it over the current install.

If you updated the ROM and broke the GApps, you have to install the GApps again too.

 

Sorry for the inconvenience.


Edited by rhen, 21 November 2014 - 02:43 PM.

  • 1

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#202
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

PA GApps Pico updated with Google Play services v6.5.86 (1598563-03x)


  • 0

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#203
anddeveloper

anddeveloper

    Newbie

  • Members
  • Pip
  • 7 posts
  • Devices:Huawei Ascend G300

I have problem with latest non Uni PA GApps Pico Modular and latest CM from 23.11. I can't install GApps error not enough space.


  • 0

#204
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

Have you followed the installation method described in the first post?

Tried with the optional steps too?

 

If still doesn't work, please post pa_gapps_log.txt.


  • 0

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#205
qwertyu123

qwertyu123

    Regular

  • Members
  • PipPip
  • 77 posts
  • Gender:Male
  • Devices:G300

Which is the difference between the non-uni (about 87mb) and uni packages (about 34mb)?

 

Your old package weighted about 30mb. Which is the reason of the weight increase?

 

It's not a complain, just curiosity...


  • 0

#206
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

Which is the difference between the non-uni (about 87mb) and uni packages (about 34mb)?

 

Your old package weighted about 30mb. Which is the reason of the weight increase?

 

It's not a complain, just curiosity...

Uni package contains the universal DPI package of Google Play Services.

Non uni package contains all DPI specific Play Services and install the one that match for your device.

 

Before PA GApps 2.0 there was only the uni package and a separate Play Services/Games updater.

I changed the this package by replacing the universal DPI version of the Play Services to the one that matches for the G300 from the Play Services/Games updater.

 

The universal DPI version of Play Services is bigger than the version for the G300 (and update itself to a proper version at some time so it will takes place on the /data too) so use the non uni version.


  • 1

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#207
qwertyu123

qwertyu123

    Regular

  • Members
  • PipPip
  • 77 posts
  • Gender:Male
  • Devices:G300

I got the same problem using latest Gapps. I cannot install them due to lack of space.

I wiped /System partition, /cache, dalvik, but it looks like 4876Kb are still needed

 

I installed cm11, I Installed delete-CM-stuff-20141121-signed.zip and the 2111 Gapps.
 
With yout latest integrated package pa_gapps-modular-pico-4.4.4-20141110-PS34-signed I didn't have problems installing Gapps
 

 

Here is the pa_gapps_log.txt

# Begin PA GApps Install Log
--------------------------------------------------------------------------------
           ROM Android Version | 4.4.4
                        ROM ID | cm_u8815-userdebug 4.4.4 KTU84Q f30a2b3b44 test-keys
                   ROM Version | 11-20141121-NIGHTLY-u8815
               Device Recovery | CWM-based Recovery 6.0.4.5
                   Device Type | u8815
                  Device Model | Ascend G300
                    Device CPU | armeabi-v7a armeabi
               getprop Density | 240
          default.prop Density | 240
            build.prop Density | 240
          Display Density Used | 240ppi
               Android Runtime | Dalvik
               Xposed Detected | undetermined
                  Install Type | Dirty[Data NOT Wiped]
      Google Camera Installed¹ | false
    Google Keyboard Installed¹ | false
       Google Email Installed¹ | false
         FaceUnlock Compatible | false
      Google Camera Compatible | true
         Current GApps Version | NO GApps Installed
       Curent PA GApps Package | NO GApps Installed
      Installing GApps Version | 20141121
         Installing GApps Type | pico
                   Config Type | [Default]
            Using gapps-config | Not Used
     Remove Stock/AOSP Browser | false[default]
    Remove Stock/AOSP Launcher | false[default]
     Remove Stock/AOSP MMS App | false[default]
    Remove Stock/AOSP Pico TTS | false[default]
        Install Google Gallery | false
         Google Gallery Device | none
      Installing Play Services | 6.5.86 (1598563-034)
        Total System Size (KB) | 387280
        Used System Space (KB) | 331720
       Current Free Space (KB) | 55560
Additional Space Required (KB) | 4876       << See Calculations Below
--------------------------------------------------------------------------------
                  ¹ Previously installed with PA GApps
# End PA GApps Install Log

INSTALLATION FAILURE: Your device does not have sufficient space available in
the system partition to install this GApps package as currently configured.
You will need to switch to a smaller GApps package or use gapps-config to
reduce the installed size.

# Begin GApps Size Calculations
--------------------------------------------------
  TYPE  |     DESCRIPTION    |      SIZE |   TOTAL
        | Current Free Space |     55560 |   55560
 Remove |     Existing GApps | +       0 |   55560
 Remove |     Obsolete Files | +       8 |   55568
Install |              Core² | -   20172 |   35396
Install |           GMSCore² | -   30152 |    5244
Install |            bksync³ | -     168 |    5076
Install |           calsync³ | -     736 |    4340
        |      Buffer Space² | -    9216 |   -4876
--------------------------------------------------
               Additional Space Required |    4876
--------------------------------------------------
          ² Required (ALWAYS Installed)
          ³ Optional (may be removed)

# End GApps Size Calculations

# Begin User's gapps-config
   *** NOT USED ***
# End User's gapps-config


Edited by qwertyu123, 24 November 2014 - 10:29 AM.

  • 0

#208
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

Have you copied the gapps-config.txt to the SD card?

Seems like you don't.

 

You don't have this problem in my GApps because in my package the 1,5-2MB buffer was the default (depend on the version)

Now it is 9MB default and you have to force the installer to count only 2MB with the "smallbuffer" parameter in the gapps-config.txt


Edited by rhen, 24 November 2014 - 11:30 AM.

  • 1

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#209
qwertyu123

qwertyu123

    Regular

  • Members
  • PipPip
  • 77 posts
  • Gender:Male
  • Devices:G300

You spot on... Silly of me, I forgot this part was needed... :P

 

Problem solved Thanks!


  • 0

#210
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

You spot on... Silly of me, I forgot this part was needed... :P

 

Problem solved Thanks!

Just checked and I missed this from the Installation guide.

Now it is in.

Thanks for the report.


  • 0

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#211
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

PA GApps Pica updated:

- Google Play services updated to v6.5.87 (1599771-03x)

- Google Play Store updated to v5.1.11


  • 0

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#212
mb101

mb101

    Newbie

  • Members
  • Pip
  • 24 posts
  • Devices:huawei g300

i have gapps config and the new pico gapps. what i have to do now for upgrade?

and do you know any solution to google play services RAM


Edited by mb101, 07 December 2014 - 07:21 PM.

  • 0

#213
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

i have gapps config and the new pico gapps. what i have to do now for upgrade?
and do you know any solution to google play services RAM

If you update from previous gapps, just install the new one in recovery.
If you have an older version, follow the instructions in the first post including the optional part.

For Play Services RAM consumption, check out the "[GUIDE] Tweaking Google Play Services to use less RAM" thread.

  • 0

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#214
mb101

mb101

    Newbie

  • Members
  • Pip
  • 24 posts
  • Devices:huawei g300

thanks :) now i have cm11 nightly of 06/12/2014. for me is stable. it's necessary to install every weeks a new nightly?


  • 0

#215
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

thanks :) now i have cm11 nightly of 06/12/2014. for me is stable. it's necessary to install every weeks a new nightly?

It isn't necessary. If it is stable for you. If you check out the changelog, you will see that only minor fixes come in every new build now.

 

Anyway, the CM11 build is now weekly.

Only one build will be compiled in a week.

I'll update every week till 5.0 come.


  • 0

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.


#216
rhen

rhen

    Addict

  • Members
  • PipPipPipPipPip
  • 717 posts
  • Gender:Male
  • Location:Hungary
  • Devices:Pulse, G300

PA GApps Pico updated:

- Google Play services updated to v6.5.99 (1642632-03x)

 

Also I remove the poll.

The result confirmed that the most people want to use GApps as It is exist now.

So It will be stay as is.

 

I also stop updating the last updated date since I don't see the point that It is good to change it while I doesn't update anything.


  • 0

GApps package for CM11: [link] (last updated 2014-12-07)

For non device specific issues, use CM bug tracker: [link]

Don't afraid to use the rep_up.png button if my answer was helpful.





9 user(s) are reading this topic

0 members, 9 guests, 0 anonymous users